Skip to content

upsertCustomerType

WRITE

Upsert customer type.

POST /api/v1/sales/upsertCustomerType
curl -X POST '<your-host>/api/v1/sales/upsertCustomerType' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "_operation": "create"
  }'
Response
{
  "results": [
    {
      "id": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "name",
    "_operation"
  ]
}